"""A base module for integrating text games into a discord cog"""

# import discord
from discord.ext import commands


class Cog(commands.Cog):
	"""A base game cog that has a collection of basic game commands and checkers"""

	def __init__(self, bot, session_cls=None):
		self.bot = bot
		self.sessions = {}
		self.session_cls = Session if session_cls is None else session_cls
		self.group = next(c for c in self.get_commands() if c.name == 'group')
		self.group.name = self.qualified_name.lower()


class Session:
	"""A base class for holding channel specific information and setting up a game"""
	pass


class Display:
	"""A base class for displaying game in discord"""
	pass
